<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Exe</OutputType>
		<TargetFramework>net8.0</TargetFramework>
		<CentralPackageTransitivePinningEnabled>true</CentralPackageTransitivePinningEnabled>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<AllowUnsafeBlocks>True</AllowUnsafeBlocks>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <WarningLevel>0</WarningLevel>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <WarningLevel>0</WarningLevel>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="FluentModbus" />
		<PackageReference Include="MiniExcel" />
		<PackageReference Include="POmronFinsTCP.Net" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\CommunicationProtocols\FinsTcp\FinsTcp.csproj" />
	  <ProjectReference Include="..\CommunicationProtocols\ModBusTcp\ModBusTcp.csproj" />
	  <ProjectReference Include="..\CommunicationProtocols\ProtocalGeneral\ProtocalGeneral.csproj" />
	  <ProjectReference Include="..\Communicators\RTCommunicator\RTCommunicatorTLV\RTCommunicatorTLV.csproj" />
	  <ProjectReference Include="..\DataBase\ORM\ORM.csproj" />
	  <ProjectReference Include="..\DataBase\SqlSugarORM\SqlSugarORM.csproj" />
	  <ProjectReference Include="..\ModelData\HardwareData\HardwareData.csproj" />
	  <ProjectReference Include="..\Universal\Universal.csproj" />
	</ItemGroup>

</Project>
